package m05bAsignacionEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05Asignacion</tt>.
 */
public class m05AsignacionPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the cargo codigo, which is the primary key 
   * in table <tt>m0501t00</tt>.
   */
  public String asi_codigo;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05AsignacionPK) {
      m05AsignacionPK otherKey = (m05AsignacionPK) obj;
      return ((this.asi_codigo == otherKey.asi_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(this.asi_codigo);
  }    
  
}
